<?php


return  
    [
        'model' => [
            'model' => \Bixo\Location\Models\Location::class,
            'table' => 'bixo_location_locations',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['parent_id',  'nest_left',  'nest_right',  'nest_depth',  'name',  'name_portals',  'description',  'type',  'latitude',  'longitude',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'location/location',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "parent_id", 
                "type" => "text", 
                "label" => 'location::location.label.parent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nest_left", 
                "type" => "text", 
                "label" => 'location::location.label.nest_left', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nest_right", 
                "type" => "text", 
                "label" => 'location::location.label.nest_right', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nest_depth", 
                "type" => "text", 
                "label" => 'location::location.label.nest_depth', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'location::location.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name_portals", 
                "type" => "text", 
                "label" => 'location::location.label.name_portals', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'location::location.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'location::location.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "latitude", 
                "type" => "text", 
                "label" => 'location::location.label.latitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "longitude", 
                "type" => "text", 
                "label" => 'location::location.label.longitude', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'parent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::location.label.parent_id',
                "placeholder" => 'location::location.placeholder.parent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nest_left',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::location.label.nest_left',
                "placeholder" => 'location::location.placeholder.nest_left',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nest_right',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::location.label.nest_right',
                "placeholder" => 'location::location.placeholder.nest_right',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nest_depth',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::location.label.nest_depth',
                "placeholder" => 'location::location.placeholder.nest_depth',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name',
                "placeholder" => 'location::location.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name_portals',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name_portals',
                "placeholder" => 'location::location.placeholder.name_portals',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.description',
                "placeholder" => 'location::location.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'location::location.label.type',
                "placeholder" => 'location::location.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('location::location.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'latitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.latitude',
                "placeholder" => 'location::location.placeholder.latitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'longitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.longitude',
                "placeholder" => 'location::location.placeholder.longitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'location/location/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'location/location/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'location/location',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'location/location',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'location/location',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'location/location',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'location::location.label.created_at',
            'name' => 'location::location.label.name',
            'status' => 'location::location.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "location::location.groups.main",
                'group' => "main.main",
                'title' => "location::location.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "location::location.groups.details",
                'group' => "main.details",
                'title' => "location::location.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.images",
                'group' => "main.images",
                'title' => "location::location.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.settings",
                'group' => "main.settings",
                'title' => "location::location.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Location',
            'module' => 'Location',
        ],

        
        
    ];
