<?php

namespace Bixo\Location\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class BuildingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_location_buildings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.location.building.view',
                'name'      => 'View Building',
            ],
            [
                'slug'      => 'bixo.location.building.create',
                'name'      => 'Create Building',
            ],
            [
                'slug'      => 'bixo.location.building.edit',
                'name'      => 'Update Building',
            ],
            [
                'slug'      => 'bixo.location.building.delete',
                'name'      => 'Delete Building',
            ],
            
                        [
                'slug'      => 'bixo.location.building.verify',
                'name'      => 'Verify Building',
            ],
            [
                'slug'      => 'bixo.location.building.approve',
                'name'      => 'Approve Building',
            ],
            [
                'slug'      => 'bixo.location.building.publish',
                'name'      => 'Publish Building',
            ],
            [
                'slug'      => 'bixo.location.building.unpublish',
                'name'      => 'Unpublish Building',
            ],
            [
                'slug'      => 'bixo.location.building.cancel',
                'name'      => 'Cancel Building',
            ],
            [
                'slug'      => 'bixo.location.building.archive',
                'name'      => 'Archive Building',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/location/building',
                'name'        => 'Building',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/location/building',
                'name'        => 'Building',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'building',
                'name'        => 'Building',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Location',
                'module'    => 'Building',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.location.building.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
