<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for building in location package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  building module in location package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Building',
    'names' => 'Buildings',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Buildings',
        'sub' => 'Buildings'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'Cluster',
                    'value'  => 'Cluster',
                    'text'   => 'Cluster',
                ],
                                
                [
                    'key'    => 'Building',
                    'value'  => 'Building',
                    'text'   => 'Building',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'country_id'                 => 'Please enter country id',
        'region_id'                  => 'Please enter region id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'developer_id'               => 'Please enter developer id',
        'type'                       => 'Please select type',
        'name'                       => 'Please enter name',
        'name_portals'               => 'Please enter name portals',
        'slug'                       => 'Please enter slug',
        'address'                    => 'Please enter address',
        'specifications'             => 'Please enter specifications',
        'photos'                     => 'Please enter photos',
        'floor_plans'                => 'Please enter floor plans',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'min_price'                  => 'Please enter min price',
        'max_price'                  => 'Please enter max price',
        'upload_folder'              => 'Please enter upload folder',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'country_id'                 => 'Country id',
        'region_id'                  => 'Region id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'developer_id'               => 'Developer id',
        'type'                       => 'Type',
        'name'                       => 'Name',
        'name_portals'               => 'Name portals',
        'slug'                       => 'Slug',
        'address'                    => 'Address',
        'specifications'             => 'Specifications',
        'photos'                     => 'Photos',
        'floor_plans'                => 'Floor plans',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'min_price'                  => 'Min price',
        'max_price'                  => 'Max price',
        'upload_folder'              => 'Upload folder',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
